package cn.com.qmth.examcloud.task.service;

import cn.com.qmth.examcloud.task.service.bean.CourseInfo;
import cn.com.qmth.examcloud.task.service.bean.OrgInfo;
import cn.com.qmth.examcloud.task.service.bean.SpecialtyInfo;
import cn.com.qmth.examcloud.task.service.bean.StudentInfo;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月2日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface DataSyncService {

	/**
	 * 同步课程
	 *
	 * @author WANGWEI
	 * @param info
	 * @return
	 */
	void syncCourse(CourseInfo info);

	/**
	 * 同步机构
	 *
	 * @author WANGWEI
	 * @param info
	 * @return
	 */
	void syncOrg(OrgInfo info);

	/**
	 * 同步学生
	 *
	 * @author WANGWEI
	 * @param info
	 * @return
	 */
	void syncStudent(StudentInfo info);

	/**
	 * 同步专业
	 *
	 * @author WANGWEI
	 * @param info
	 * @return
	 */
	void syncSpecialty(SpecialtyInfo info);

}
